cURL
curl --request POST \
--url https://api.unifygtm.com/data/v1/objects/{object_name}/attributes \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"type": "ADDRESS",
"api_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"is_required": true,
"is_unique": true
}
'import requests
url = "https://api.unifygtm.com/data/v1/objects/{object_name}/attributes"
payload = {
"type": "ADDRESS",
"api_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"is_required": True,
"is_unique": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'ADDRESS',
api_name: '<string>',
display_name: '<string>',
description: '<string>',
is_required: true,
is_unique: true
})
};
fetch('https://api.unifygtm.com/data/v1/objects/{object_name}/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"type": "ADDRESS",
"api_name": "<string>",
"display_name": "<string>",
"description": "<string>",
"is_required": true,
"is_unique": true
}
}{
"status": "bad_request",
"errors": [
{
"code": "<string>",
"path": [
"<string>"
],
"object_api_name": "<string>",
"attribute_api_name": "<string>"
}
],
"message": "<string>"
}{
"status": "unauthorized",
"message": "<string>"
}{
"status": "object_not_found",
"message": "<string>"
}{
"status": "attribute_conflict",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Attributes
Create attribute
POST
/
objects
/
{object_name}
/
attributes
cURL
Authorizations
Path Parameters
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
Definition of an attribute on a Unify object.
The type of value this attribute can hold.
Available options:
ADDRESS This is the unique identifier for the attribute at the API level. It is unique within the object and cannot be changed.
This is the user-facing attribute name that will be shown within Unify. It is unique within the object and can be changed at any time.
This is a description of the attribute. It is not required but will be shown in the UI to help understand the purpose of the object. Typically, this should be a short sentence or two explaining the attribute.
Whether the attribute is required.
Whether the attribute is unique.
Response
Response for a successful create operation.
Response for a successful create operation.
⌘I